Gradle

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Make Kotlin formatter happy

Make workspace provider service bound to Gradle home

Fix changed imports

Add TODO

Also clean up new Kotlin DSL workspaces

Register the workspace provider service

This looks to be working!

Remove TODO comment

We don't need multi-version support just yet.

Merge pull request #12439 from gradle/vv/add-experimental-jdk14-builds

Add experimental JDK14 builds

Return quick and platform tests with experimental JVM version to experimental pipeline

    • -0
    • +4
    /.teamcity/Gradle_Check/model/CIBuildModel.kt
Add experimental JDK14 builds

Before switching JDK13 to JDK14, test out all the build types separately with JDK14 to ensure nothing breaks.

    • -4
    • +40
    /.teamcity/Gradle_Check/model/CIBuildModel.kt
Revert upgrade to scala

Revert upgrade to kotlin plugin

Increase performance regression confidence to 0.999 (#12418)

To reduce the flakiness in performance tests.

Revert upgrade to spock:1.3-groovy-3.0

Update released version to latest snapshot

Update library versions in build init to latest for 6.4

Clean release notes and welcome message for 6.4

    • -62
    • +0
    /subprojects/docs/src/docs/release/notes.md
Update version to 6.4

Clean accepted API changes

Revert "Recognize contributor"

This reverts commit b9d389a6efabdea506c58d49b19f38435baf5151.

    • -1
    • +0
    /subprojects/docs/src/docs/release/notes.md
Revert "Evict expired connections in HTTP client"

This reverts commit 046ba24550eb1aeaadd82fdc1eea3555a7d6ee2f.

Publish 6.2.2-20200305002055+0000

Merge remote-tracking branch 'origin/vv/prep-codenarc-tests-for-jdk14'

* origin/vv/prep-codenarc-tests-for-jdk14:

Use CodeNarc version that works with JDK14 in a snippet

Force non-snapshot Groovy version in snippets for CodeNarc

Force current Groovy version in tests for CodeNarc if running in JDK14

Test latest codenarc version in quick feedback tests

Force current Groovy version for CodeNarc plugin 1.5 so that it works with JDK14

Recognize contributor

    • -0
    • +1
    /subprojects/docs/src/docs/release/notes.md
Merge remote-tracking branch 'origin/sg/merges/pr-6222'

* origin/sg/merges/pr-6222:

Evict expired connections in HTTP client

Merge pull request #12424 from gradle/eskatos/kotlin/1.3.70

Upgrade embedded Kotlin to 1.3.70

Merge branch 'master' into eskatos/kotlin/1.3.70

Disable buildSrc check in smoke test

since it fails with instant execution.

Merge branch 'master' into eskatos/kotlin/1.3.70

Merge pull request #12430 from gradle/bamboo/master/ie/ci-smoke-test

Let `GradleBuildInstantExecutionSmokeTest` run with `CI` set